<div class="container-fluid">
    <div class="row">
        <!--<span>Filter Workflows(Press enter tor search)</span>-->
        <div class="col-4">
            <input type="text" class="form-control" [(ngModel)]="filter.freeText" />
        </div>
        <div class="col-4">
            <multi-select [options]="availableTypes" [(values)]="filter.workflowTypes"></multi-select>
        </div>
        <div class="col-4">
            <multi-select [options]="availableStatus" [(values)]="filter.status"></multi-select>
            <input type="text" style="width:70px" class="form-control" [(ngModel)]="filter.h"/>
            <button class="btn btn-success" (click)="handlerFilterChange()">Search</button>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th (click)="changeSortField('orderName')">Workflow
                            <i class="fa" [ngClass]="{'fa-angle-up':sortField=='orderDescription', 'fa-angle-down':sortField=='!orderDescription'}" aria-hidden="true"></i>
                        </th>
                        <th (click)="changeSortField('orderDescription')">Workflow ID
                            <i class="fa" [ngClass]="{'fa-angle-up':sortField=='orderDescription', 'fa-angle-down':sortField=='!orderDescription'}" aria-hidden="true"></i>
                        </th>
                        <th (click)="changeSortField('orderStartDate')">Status
                            <i class="fa" [ngClass]="{'fa-angle-up':sortField=='orderStartDate', 'fa-angle-down':sortField=='!orderStartDate'}" aria-hidden="true"></i>
                        </th>
                        <th (click)="changeSortField('orderEndDate')">Start Time
                            <i class="fa" [ngClass]="{'fa-angle-up':sortField=='orderEndDate', 'fa-angle-down':sortField=='!orderEndDate'}" aria-hidden="true"></i>
                        </th>
                        <th (click)="changeSortField('orderStatus')">Last Updated
                            <i class="fa" [ngClass]="{'fa-angle-up':sortField=='orderStatus', 'fa-angle-down':sortField=='!orderStatus'}" aria-hidden="true"></i>
                        </th>
                        <th (click)="changeSortField('orderStatus')">End Time
                            <i class="fa" [ngClass]="{'fa-angle-up':sortField=='orderStatus', 'fa-angle-down':sortField=='!orderStatus'}" aria-hidden="true"></i>
                        </th>
                        <th (click)="changeSortField('orderStatus')">Correlation Id
                            <i class="fa" [ngClass]="{'fa-angle-up':sortField=='orderStatus', 'fa-angle-down':sortField=='!orderStatus'}" aria-hidden="true"></i>
                        </th>
                        <th (click)="changeSortField('orderStatus')">Input
                            <i class="fa" [ngClass]="{'fa-angle-up':sortField=='orderStatus', 'fa-angle-down':sortField=='!orderStatus'}" aria-hidden="true"></i>
                        </th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let wf of workflows">
                        <td>{{wf.workflowType}}</td>
                        <td><a [routerLink]="['../detail',wf.workflowId]">{{wf.workflowId}}</a></td>
                        <td>{{wf.status}}</td>                        
                        <td>{{wf.startTime|date}}</td>
                        <td>{{wf.updateTime|date}}</td>
                        <td>{{wf.endTime|date}}</td>
                        <td>{{wf.correlationId}}</td>
                        <td>{{wf.input}}</td>
                        <td><button class="btn btn-default btn-sm">details</button></td>
                    </tr>
                    <tr *ngIf="!workflows || !workflows.length">
                        <td colspan="9" style="text-align: center;">
                            There is no data to display
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>